<?php

//
// Implements some sidebar widgets to be used either standalone or with the Widget Plugin.
//

function widget_rf_search($args=array()) {
	extract($args);
	echo $before_widget;
	echo $before_title; ?><?php _e('Search','theme'); ?><?php echo $after_title; ?>
		<form id="search" method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
			<input class="textbox" type="text" name="s" id="s" size="15"/> 
			<input class="searchbutton" type="submit" name="submit" value="<?php _e('Search','theme'); ?>"/>
		</form>
	<?php echo $after_widget;
}

function widget_rf_subscriptions($args=array()) {
	extract($args);
	echo $before_widget;
	echo $before_title;
	_e('Subscription','theme');
	echo $after_title; ?>
	<ul>
		<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>"><img src="<?php bloginfo('template_directory'); ?>/images/add-rss2.0.png" alt="<?php _e('Syndicate this site using RSS'); ?>" width="80" height="15" /></a></li>
		<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('The latest comments to all posts in RSS'); ?>"><img src="<?php bloginfo('template_directory'); ?>/images/comments-rss.png" alt="<?php _e('The latest comments to all posts in RSS'); ?>" width="80" height="15" /></a></li>
		<li><a href="http://add.my.yahoo.com/rss?url=<?php bloginfo('rss2_url'); ?>" title="Add to My Yahoo!"><img src="http://us.i1.yimg.com/us.yimg.com/i/us/my/addtomyyahoo4.gif" alt="Add to My Yahoo!" /></a></li>
		<li><a href="http://my.msn.com/addtomymsn.armx?id=rss&amp;ut=<?php bloginfo('rss2_url'); ?>&amp;tt=CENTRALDIRECTORY&amp;ru=http://rss.msn.com'"><img src="http://sc.msn.com/c/rss/rss_mymsn.gif" alt="Add to My MSN" /></a></li>
		<li><a href="http://www.newsgator.com/ngs/subscriber/subext.aspx?url=<?php bloginfo('rss2_url'); ?>" title="Subscribe in NewsGator Online"><img src="http://www.newsgator.com/images/ngsub1.gif" alt="Subscribe in NewsGator Online" width="91" /></a></li>
		<li><a href="http://www.newsburst.com/Source/?add=<?php bloginfo('rss2_url'); ?>"><img src="http://i.i.com.com/cnwk.1d/i/newsbursts/btn/newsburst3.gif" alt="Add your feed to Newsburst from CNET News.com" width="96" height="20" /></a></li>
		<li><a href="http://www.rojo.com/add-subscription?resource=<?php bloginfo('rss2_url'); ?>"><img src="http://www.rojo.com/skins/static/images/add-to-rojo.gif" alt="Subscribe in Rojo" width="52" height="17" /></a></li>
		<li><a href="http://fusion.google.com/add?feedurl=<?php bloginfo('rss2_url'); ?>" title="Subscribe in Google Reader"><img src="<?php bloginfo('template_directory'); ?>/images/add-to-google-plus.gif" alt="Subscribe in Google Reader" width="104" height="17" /></a></li>
		<li><a href="http://client.pluck.com/pluckit/prompt.aspx?GCID=C12286x053&amp;a=<?php bloginfo('rss2_url'); ?>&amp;t=<?php bloginfo('name'); ?>"><img src="http://www.pluck.com/images/pluck/pluspluck.png" alt="Subscribe with Pluck RSS reader" width="91" height="17" /></a></li>
		<li><a href="http://www.bloglines.com/sub/<?php bloginfo('rss2_url'); ?>"><img src="http://www.bloglines.com/images/sub_modern1.gif" alt="Subscribe with Bloglines" width="94" height="20" /></a></li>
		<li><a href="http://www.feedster.com/myfeedster.php?action=addrss&amp;rssurl=<?php bloginfo('rss2_url'); ?>"><img src="<?php bloginfo('template_directory'); ?>/images/addtomyfeedster.gif" alt="Subscribe with Bloglines" width="68" height="13" /></a></li>
		<li><a href="http://www.furl.net/storeIt.jsp?t=<?php bloginfo('name'); ?>&amp;u=<?php bloginfo('url'); ?>" title="Furl It!"><img src="<?php bloginfo('template_directory'); ?>/images/FurlIt.png" alt="Furl It!" width="80" height="15" /></a></li>
	</ul>
	<?php echo $after_widget;
}

function widget_rf_calendar($args) {
	extract($args);
	$options = get_option('widget_calendar');
	$title = $options['title'];
	echo $before_widget;
	if ( ! empty($title) ) echo $before_title . __($title,'theme') . $after_title;
	echo '<div id="calendar_wrap" align="center">';
	get_calendar();
	echo '</div>';
	echo $after_widget;
}

if ( function_exists('register_sidebar_widget') ) {
	register_sidebar_widget(__('Refresh Search'), 'widget_rf_search');
	register_sidebar_widget(__('Refresh Subscriptions'), 'widget_rf_subscriptions');
	register_sidebar_widget(__('Refresh Calendar'), 'widget_rf_calendar');
}?>